
/***********************
** METADATA
***********************/

/****
Created by: Joan Monras
Date: October 2019
****/


/***********************
** COMPUTING RESOURCES
***********************/

set more off
cd "/home/joan/Dropbox/Columbia/JPE_replication_code"



** STATEFIP

import excel "source/FMR_2Bed_1983_2018-1.xlsx", sheet("1999-1990") firstrow clear //Data for rents in MSAs is the Department of Housing and Urban Development’s (HUD) Fair Market Rent series (FMR). Source Saiz (2007)

forvalues i=90(1)99 {
rename fmr`i'_2 fmr2`i'
}

reshape long fmr fmr2 msa, i(fips2010) j(year)
destring (fmr2), replace
destring(state), replace
destring(pop2010), replace



collapse (mean) fmr2 [aw=pop2010], by(state year) 

replace year=year+1900

ren fmr2 rent_40pct
replace rent_40pct=ln(rent_40pct)
ren state statefip

keep if year==1990 | year==1999
reshape wide rent_40pct, i(statefip) j(year)

gen rentals_1999_1990=rent_40pct1999-rent_40pct1990

label data "Rentals 1990 - 1999"
save "data/Rental_statefip_long_run.dta", replace

** METAREA

import excel "source/FMR_2Bed_1983_2018-1.xlsx", sheet("1999-1990") firstrow clear //Data for rents in MSAs is the Department of Housing and Urban Development’s (HUD) Fair Market Rent series (FMR). Source Saiz (2007)

forvalues i=90(1)99 {
rename fmr`i'_2 fmr2`i'
}

reshape long fmr fmr2 msa, i(fips2010) j(year)
destring (fmr2), replace
destring(state), replace
destring(pop2010), replace

drop if msa=="10000" //dropping counties outside metropolitan areas

destring(msa), replace
replace msa=int(msa/10)

collapse (mean) fmr2 [aw=pop2010], by(msa year) /// NOTE: ideally this collapse should be with 2000 or 1990 data

replace year=year+1900

ren fmr2 rent_40pct
replace rent_40pct=ln(rent_40pct)
ren msa metarea

keep if year==1990 | year==1999
reshape wide rent_40pct, i(metarea) j(year)

gen rentals_1999_1990=rent_40pct1999-rent_40pct1990

label data "Rentals 1990 - 1999"

save "data/Rental_metarea_long_run", replace

