/***********************
** METADATA
***********************/

/****
Created by: Joan Monras
Date: October 2019
****/


/***********************
** COMPUTING RESOURCES
***********************/

set more off
cd "/home/joan/Dropbox/Columbia/JPE_replication_code"

/***********************
** LOAD DATA
***********************/
tempfile t1

clear
set more off
use "data/CPS_data.dta", clear
keep if schlcoll==0 | schlcoll==5
keep if age>=18 & age<65

keep if hispan!=108
replace wtsupp=1 //Change in wtsuppp in 1995-96 reported in online appendix, hence the change in weights. No big differences without this. 

gen high_imm_state=0
replace high_imm_state=1 if statefip==6 | statefip==4 |statefip==35 | statefip==32 | statefip==48 | statefip==49 //California (6), Arizona(4), Texas(48), Nevada(32), New Mexico (35).  

gen low_skilled=0
replace low_skilled=1 if school<3

collapse (sum) wtsupp, by(year high_imm low)

ren wt pop
reshape wide pop, i(year high) j(low)

gen share_low_skilled=pop1/(pop1+pop0)

keep if year>1990 & year<2000

ren share_low share_low_nat


save `t1'

clear
set more off
use "data/CPS_data.dta", clear
keep if schlcoll==0 | schlcoll==5
keep if age>=18

gen high_imm_state=0
replace high_imm_state=1 if statefip==6 | statefip==4 |statefip==35 | statefip==32 | statefip==48 | statefip==49 //California (6), Arizona(4), Texas(48), Nevada(32), New Mexico (35).  

gen low_skilled=0
replace low_skilled=1 if school<3
replace wtsupp=1

collapse (sum) wtsupp, by(year high_imm low)

ren wt pop
reshape wide pop, i(year high) j(low)

gen share_low_skilled=pop1/(pop1+pop0)

keep if year>1990 & year<2000

merge 1:1  year high using `t1', nogen


gen y92=0
replace y92=1 if year==1994
local varlist="share_low_skilled share_low_nat"
foreach var of local varlist{
gen aux`var'=y92*`var'
bysort high: egen aux2`var'=max(aux`var')
replace `var'=`var'/aux2`var'
}
sort year high
tempfile t2 t3
two (connected share_low_nat year if high==1, xline(1994))(connected share_low_s year if high==1), scheme(s1mono) saving(`t2'.gph, replace)legend(label(1 "Share of low skiled, non-Hispanic") label(2 "Share of low skilled, all"))title("High immigration states")
graph export figures/f4a.png, replace

two (connected share_low_nat year if high==0, xline(1994))(connected share_low_s year if high==0), scheme(s1mono)saving(`t3'.gph, replace)legend(label(1 "Share of low skiled, non-Hispanic") label(2 "Share of low skilled, all"))title("Low immigration states")
graph export figures/f4b.png, replace

