
/***********************
** METADATA
***********************/

/****
Created by: Joan Monras
Date: October 2019
****/


/***********************
** COMPUTING RESOURCES
***********************/

set more off
cd "/home/joan/Dropbox/Columbia/JPE_replication_code"

 
/***********************
** LOAD DATA
***********************/
tempfile t1

clear
set more off
use "data/CPS_data.dta", clear

keep if age >= 18

keep if statefip<100
drop if (hispan==108)&(school<3)
keep if employment==1
keep if wage_flag==1
drop if wage==.


drop if gq==2

gen wage=ln(weekly)*wtsupp

gen high_imm_state=0
replace high_imm_state=1 if statefip==6 //| statefip==4 |statefip==35 | statefip==32 | statefip==48 | statefip==49 //California (6), Arizona(4), Texas(48), Nevada(32), New Mexico (35).  
keep if statefip==6 | statefip==36 //keeping CA and NY

gen low_skilled=0*wtsupp
replace low_skilled=1 if school<3

drop wage_flag

collapse (sum) wage** wtsupp, by(year high_imm low)
replace wage=wage/wtsupp
drop wtsupp

reshape wide wage, i(year high) j(low)

replace year=year-1

keep if year>1990 & year<2000

gen y92=0
replace y92=1 if year==1994
local varlist="wage0 wage1"
foreach var of local varlist{
gen aux`var'=y92*`var'
bysort high: egen aux2`var'=max(aux`var')
replace `var'=exp(`var'-aux2`var')
}

sort year high
tempfile t2 t3

two (connected wage1 year if high==1, xline(1994))(connected wage0 year if high==1), scheme(s1mono) saving(`t2'.gph, replace) legend(label(1 "Low skilled wage, CA") label(2 "High skilled wage, CA"))
two (connected wage1 year if high==1, xline(1994))(connected wage1 year if high==0), scheme(s1mono) ytitle("")saving(`t3'.gph, replace) legend(label(1 "Low skilled wage, CA") label(2 "Low skilled wage, NY"))

gr combine `t2'.gph `t3'.gph, col(1)scheme(s1mono)
graph export figures/f2.eps, replace
