
/***********************
** METADATA
***********************/

/****
Created by: Joan Monras
Date: October 2019
****/


/***********************
** COMPUTING RESOURCES
***********************/

set more off
cd "/home/joan/Dropbox/Columbia/JPE_replication_code"


use "data/Immigration_1990.dta" ,clear

drop if age>65
keep if age >=20

keep if (wkswork1>=40)
keep if uhrswork>=35 
keep if uhrswork<=60 
keep if empstat==1 

keep if school<3

keep if weekly>0

keep if ind1990==60 
gen mex=.
replace mex=(weekly) if bpld==20000

gen nat=.
replace nat=(weekly) if bpld<20000

gen lweekly=ln(weekly)

gen mex_dum=0
replace mex_dum=1 if bpld==20000

//reg lweekly mex_dum [pw=perwt]
//reg lweekly mex_dum i.age i.metarea [pw=perwt]

gen obs=1

collapse (mean) mex nat lweekly obs [aw=perwt] // (mean) tot_**  


use "data/Immigration_1990.dta" ,clear

drop if age>65
keep if age >=20

keep if (wkswork1>=40)
keep if uhrswork>=35 
keep if uhrswork<=60 
keep if empstat==1 

keep if school<3

keep if weekly>0
keep if statefip==6
keep if ind1990==60 
gen mex=.
replace mex=(weekly) if bpld==20000

gen nat=.
replace nat=(weekly) if bpld<20000

gen lweekly=ln(weekly)

gen mex_dum=0
replace mex_dum=1 if bpld==20000

//reg lweekly mex_dum [pw=perwt]
//reg lweekly mex_dum i.age i.metarea [pw=perwt]

gen obs=1

collapse (mean) mex nat lweekly obs [aw=perwt] // (mean) tot_**  

use "data/Immigration_2000.dta" ,clear

drop if age>65
keep if age >=20

keep if (wkswork1>=40)
keep if uhrswork>=35 
keep if uhrswork<=60 
keep if empstat==1 

keep if school<3

keep if weekly>0

keep if ind1990==60 
gen mex=.
replace mex=(weekly) if bpld==20000

gen nat=.
replace nat=(weekly) if bpld<20000

gen lweekly=ln(weekly)

gen mex_dum=0
replace mex_dum=1 if bpld==20000

//reg lweekly mex_dum [pw=perwt]
//reg lweekly mex_dum i.age i.metarea [pw=perwt]

gen obs=1

collapse (mean) mex nat lweekly obs [aw=perwt] // (mean) tot_**  


use "data/Immigration_2000.dta" ,clear

drop if age>65
keep if age >=20

keep if (wkswork1>=40)
keep if uhrswork>=35 
keep if uhrswork<=60 
keep if empstat==1 

keep if school<3

keep if weekly>0
keep if statefip==6
keep if ind1990==60 
gen mex=.
replace mex=(weekly) if bpld==20000

gen nat=.
replace nat=(weekly) if bpld<20000

gen lweekly=ln(weekly)

gen mex_dum=0
replace mex_dum=1 if bpld==20000

//reg lweekly mex_dum [pw=perwt]
//reg lweekly mex_dum i.age i.metarea [pw=perwt]

gen obs=1

collapse (mean) mex nat lweekly obs [aw=perwt] // (mean) tot_**  



/***********************/
 
 use "data/mex_raw.dta" if year == 1990 | year == 2000 ,clear
 
 // 
 keep if year == 1990 | year == 2000
 keep if age>=18 & age<=60
 
 //Skill groups
gen edc = 0
replace edc=1 if educ<=5 |educd<=050 |educ==6 | educd>=060 & educd<=064 //Low skilled
replace edc=2 if educ>=7 & educ<=9 | educd>=065 & educd<=090 |educ>=10 | educd>=100 //HIgh Skilled

//Totals
gen cons_total=perwt if ind==060 & year==1990 | ind==077 & year==2000
gen mex_total=perwt if bpl==200
gen cons_mex=perwt if bpl==200 & ind==060 & year==1990 | bpl==200 & ind==077 & year==2000
gen cons_nat=perwt if bpl<150 & ind==060 & year==1990 | bpl<150 & ind==077 & year==2000
gen nat_total=perwt if bpl<150
gen cons_imm=perwt if bpl>=150 & ind==060 & year==1990 | bpl>=150 & ind==077 & year==2000
gen cons_nonmex=perwt if bpl!=200 & ind==060 & year==1990 | bpl!=200 & ind==077 & year==2000
// Low skiled
gen cons_total_l=perwt if ind==060 & year==1990 & edc==1| ind==077 & year==2000 & edc==1
gen mex_total_l=perwt if bpl==200 & edc==1
gen cons_mex_l=perwt if bpl==200 & ind==060 & year==1990 &edc==1| bpl==200 & ind==077 & year==2000 & edc==1
gen cons_nat_l =perwt if bpl<150 & ind==060 & year==1990 &edc==1| bpl<150 & ind==077 & year==2000 & edc==1
gen nat_total_l=perwt if bpl<150 & edc==1

//High skilled
gen cons_total_h=perwt if ind==060 & year==1990 & edc==2| ind==077 & year==2000 & edc==2
gen mex_total_h=perwt if bpl==200 & edc==2
gen cons_mex_h=perwt if bpl==200 & ind==060 & year==1990 &edc==2| bpl==200 & ind==077 & year==2000 & edc==2
gen cons_nat_h=perwt if bpl<150 & ind==060 & year==1990 &edc==2| bpl<150 & ind==077 & year==2000 & edc==2
gen nat_total_h=perwt if bpl<150 & edc==2


collapse (sum) cons_total cons_nat cons_imm cons_nonmex nat_total nat_total_* cons_nat_* mex_total cons_mex cons_total_* mex_total_* cons_mex_*, by(year)

gen m_in_cons=cons_mex/mex_total
label var m_in_cons "Share of Mexican workers"

gen m_in_cons_t=cons_mex/cons_total
label var m_in_cons_t "Importance of Mexican workers"

gen nat_in_cons=cons_nat/nat_total
label var nat_in_cons "Share of Native workers"

gen m_in_cons_l=cons_mex_l/mex_total_l
label var m_in_cons_l "Share of Mexican workers"
gen m_in_cons_t_l=cons_mex_l/cons_total_l
label var m_in_cons_t_l "Importance of Mexican workers"
gen nat_in_cons_l=cons_nat_l/nat_total_l
label var nat_in_cons_l "Share of Native workers"

gen m_in_cons_h=cons_mex_h/mex_total_h
label var m_in_cons_h "Share of Mexican workers"
gen m_in_cons_t_h=cons_mex_h/cons_total_h
label var m_in_cons_t_h "Importance of Mexican workers"
gen nat_in_cons_h=cons_nat_h/nat_total_h
label var nat_in_cons_h "Share of Native workers"

//Increase in cons workers accounted for by Mexicans
tsset year,delta(10)
gen lead_mex=F.cons_mex
gen lead_nat=F.cons_nat
gen lead_total=F.cons_total 
gen lead_imm=F.cons_imm
gen lead_nonmex=F.cons_nonmex

gen delta_mex=lead_mex - cons_mex
label variable delta_mex " $\triangle$ Mexicans in Construction"
gen delta_total=lead_total-cons_total
label variable delta_total " $\triangle$ Workers in Construction"
gen delta_nat=lead_nat-cons_nat
label variable delta_nat " $\triangle$ Natives in Construction"
gen delta_imm=lead_imm-cons_imm
label variable delta_imm " $\triangle$ Non-Natives in Construction"
gen delta_nomex=lead_nonmex-cons_nonmex
label variable delta_nomex " $\triangle$ Non-Natives in Construction"

gen frac_mex_total=delta_mex/delta_total
label var frac_mex_total "Increase in construction workers accounted by Mexicans"

gen frac_mex_nat=delta_mex/delta_nat
label var frac_mex_nat "Increase in native construction workers accounted by Mexicans"

gen lyear=.
quietly levelsof year, local(lyear)
foreach year in `lyear'{
replace lyear=`year' +10 if year==`year'
}

//tables

estpost tabstat m_in_cons nat_in_cons m_in_cons_t, statistics(mean) columns(statistics) by(year) nototal
esttab . using "tables/A.tex", b(2) replace main(mean) nostar unstack noobs nonote label


estpost tabstat m_in_cons_l nat_in_cons_l m_in_cons_t_l, statistics(mean) columns(statistics) by(year) nototal
esttab . using "tables/1B.tex", b(2) replace main(mean) nostar unstack noobs nonote label

estpost tabstat m_in_cons_h nat_in_cons_h m_in_cons_t_h, statistics(mean) columns(statistics) by(year) nototal
esttab . using "tables/1C.tex", b(2) replace main(mean) nostar unstack noobs nonote label


estpost tabstat delta_mex delta_total delta_nomex delta_nat frac_mex_total frac_mex_nat, statistics(mean) columns(statistics) by(lyear) nototal
esttab . using "tables/1D.tex",b(2) replace main(mean) nostar unstack noobs nonote label



/*******************
****CALIFORNIA******
 *******************/
use "data/mex_raw.dta",clear
 
 // 
 keep if year == 1990 | year == 2000
 keep if age>=18 & age<=60
 keep if statefip == 06
 
 //Skill groups
gen edc = 0
replace edc=1 if educ<=5 |educd<=050 |educ==6 | educd>=060 & educd<=064 //Low skilled
replace edc=2 if educ>=7 & educ<=9 | educd>=065 & educd<=090 |educ>=10 | educd>=100 //HIgh Skilled

//Totals
gen cons_total=perwt if ind==060 & year==1990 | ind==077 & year==2000
gen mex_total=perwt if bpl==200
gen cons_mex=perwt if bpl==200 & ind==060 & year==1990 | bpl==200 & ind==077 & year==2000
gen cons_nat=perwt if bpl<150 & ind==060 & year==1990 | bpl<150 & ind==077 & year==2000
gen nat_total=perwt if bpl<150
gen cons_imm=perwt if bpl>=150 & ind==060 & year==1990 | bpl>=150 & ind==077 & year==2000
gen cons_nonmex=perwt if bpl!=200 & ind==060 & year==1990 | bpl!=200 & ind==077 & year==2000

// Low skiled
gen cons_total_l=perwt if ind==060 & year==1990 & edc==1| ind==077 & year==2000 & edc==1
gen mex_total_l=perwt if bpl==200 & edc==1
gen cons_mex_l=perwt if bpl==200 & ind==060 & year==1990 &edc==1| bpl==200 & ind==077 & year==2000 & edc==1
gen cons_nat_l =perwt if bpl<150 & ind==060 & year==1990 &edc==1| bpl<150 & ind==077 & year==2000 & edc==1
gen nat_total_l=perwt if bpl<150 & edc==1

//High skilled
gen cons_total_h=perwt if ind==060 & year==1990 & edc==2| ind==077 & year==2000 & edc==2
gen mex_total_h=perwt if bpl==200 & edc==2
gen cons_mex_h=perwt if bpl==200 & ind==060 & year==1990 &edc==2| bpl==200 & ind==077 & year==2000 & edc==2
gen cons_nat_h=perwt if bpl<150 & ind==060 & year==1990 &edc==2| bpl<150 & ind==077 & year==2000 & edc==2
gen nat_total_h=perwt if bpl<150 & edc==2

collapse (sum) cons_total cons_imm cons_nonmex cons_nat nat_total nat_total_* cons_nat_* mex_total cons_mex cons_total_* mex_total_* cons_mex_*, by(year)

gen m_in_cons=cons_mex/mex_total
label var m_in_cons "Share of Mexican workers"

gen m_in_cons_t=cons_mex/cons_total
label var m_in_cons_t "Importance of Mexican workers"

gen nat_in_cons_t=cons_nat/nat_total
label var nat_in_cons "Share of Native workers"

gen m_in_cons_l=cons_mex_l/mex_total_l
label var m_in_cons_l "Share of Mexican workers"
gen m_in_cons_t_l=cons_mex_l/cons_total_l
label var m_in_cons_t_l "Importance of Mexican workers"
gen nat_in_cons_l=cons_nat_l/nat_total_l
label var nat_in_cons_l "Share of Native workers"

gen m_in_cons_h=cons_mex_h/mex_total_h
label var m_in_cons_h "Share of Mexican workers"
gen m_in_cons_t_h=cons_mex_h/cons_total_h
label var m_in_cons_t_h "Importance of Mexican workers"
gen nat_in_cons_h=cons_nat_h/nat_total_h
label var nat_in_cons_h "Share of Native workers"

//Increase in cons workers accounted for by Mexicans
tsset year,delta(10)
gen lead_mex=F.cons_mex
gen lead_nat=F.cons_nat
gen lead_total=F.cons_total 
gen lead_imm=F.cons_imm
gen lead_nonmex=F.cons_nonmex

gen delta_mex=lead_mex - cons_mex
label variable delta_mex " $\triangle$ Mexicans in Construction"
gen delta_total=lead_total-cons_total
label variable delta_total " $\triangle$ Workers in Construction"
gen delta_nat=lead_nat-cons_nat
label variable delta_nat " $\triangle$ Natives in Construction"
gen delta_imm=lead_imm-cons_imm
label variable delta_imm " $\triangle$ Non-Natives in Construction"
gen delta_nomex=lead_nonmex-cons_nonmex
label variable delta_nomex " $\triangle$ Non-Mex in Construction"

gen frac_mex_total=delta_mex/delta_total
label var frac_mex_total "Increase in construction workers accounted by Mexicans"

gen frac_mex_nat=delta_mex/delta_nat
label var frac_mex_nat "Increase in native construction workers accounted by Mexicans"

gen lyear=.
quietly levelsof year, local(lyear)
foreach year in `lyear'{
replace lyear=`year' +10 if year==`year'
}

//tables

estpost tabstat m_in_cons nat_in_cons_t m_in_cons_t, statistics(mean) columns(statistics) by(year) nototal
esttab . using "tables/1A_clf.tex", b(2) replace main(mean) nostar unstack noobs nonote label


estpost tabstat m_in_cons_l nat_in_cons_l m_in_cons_t_l, statistics(mean) columns(statistics) by(year) nototal
esttab . using "tables/1B_clf.tex", b(2) replace main(mean) nostar unstack noobs nonote label

estpost tabstat m_in_cons_h nat_in_cons_h m_in_cons_t_h, statistics(mean) columns(statistics) by(year) nototal
esttab . using "tables/1C_clf.tex", b(2) replace main(mean) nostar unstack noobs nonote label


estpost tabstat delta_mex delta_total delta_nat delta_nomex frac_mex_total frac_mex_nat, statistics(mean) columns(statistics) by(lyear) nototal
esttab . using "tables/1D_clf.tex",b(2) replace main(mean) nostar unstack noobs nonote label
