function [L1m_rent,L1m_own,H1m_rent,H1m_own,V1m_rent,V1m_own,VH1m_rent,VH1m_own,V1m,VH1m,V1,VH1] = evolve(Mex_Stock_m,Am_rent,Am_own,AHm_rent,AHm_own,L0m_rent,L0m_own,H0m_rent,H0m_own,V0m_rent,V0m_own,VH0m_rent,VH0m_own,P0m_rent,P0m_own,V0m,VH0m,V0,VH0,Q0m,W0m,WH0m,L,H,Cm_rent,Cm_own,Bm,theta,Num_MSAs, lambda, gamma, eta, beta, alpha, epsilon, psi)

% Initiating values
L1m_rent = L0m_rent;
H1m_rent = H0m_rent;

L1m_own = L0m_own;
H1m_own = H0m_own;

V1m=V0m;
VH1m=VH0m;

V1m_rent=V0m_rent;
VH1m_rent=VH0m_rent;

V1m_own=V0m_own;
VH1m_own=VH0m_own;

% Population moves first given conditions at time t. 

for i=1:Num_MSAs
    L1m_rent(i)=eta*(V0m(i)/V0)^(1/lambda)*(V0m_rent(i)/V0m(i))^(1/gamma)*L+(1-eta)*(V0m_rent(i)/V0m(i))^(1/gamma)*(L0m_rent(i)+L0m_own(i));
    L1m_own(i)=eta*(V0m(i)/V0)^(1/lambda)*(V0m_own(i)/V0m(i))^(1/gamma)*L+(1-eta)*(V0m_own(i)/V0m(i))^(1/gamma)*(L0m_rent(i)+L0m_own(i));

    H1m_rent(i)=eta*(VH0m(i)/VH0)^(1/lambda)*(VH0m_rent(i)/VH0m(i))^(1/gamma)*H+(1-eta)*(VH0m_rent(i)/VH0m(i))^(1/gamma)*(H0m_rent(i)+H0m_own(i));
    H1m_own(i)=eta*(VH0m(i)/VH0)^(1/lambda)*(VH0m_own(i)/VH0m(i))^(1/gamma)*H+(1-eta)*(VH0m_own(i)/VH0m(i))^(1/gamma)*(H0m_rent(i)+H0m_own(i));
end

% After population moves, new conditions need to be computed and are carried to next period. 

for i=1:Num_MSAs 
     Q0m(i)=Bm(i)*((H0m_rent(i)+H0m_own(i))^(theta(i))*(L0m_rent(i)+L0m_own(i))^(1-theta(i)));
     W0m(i)=(1-theta(i))*Q0m(i)^(1)*(L0m_rent(i)+L0m_own(i))^(-1);
     WH0m(i)=(theta(i))*Q0m(i)^(1)*(H0m_rent(i)+H0m_own(i))^(-1);
     P0m_rent(i)=Cm_rent(i)*(L0m_rent(i)+H0m_rent(i))^(epsilon(i))*(Mex_Stock_m(i)/(L0m_rent(i)+L0m_own(i)))^(-psi);
     P0m_own(i)=Cm_own(i)*(L0m_own(i)+H0m_own(i))^(epsilon(i))*(Mex_Stock_m(i)/(L0m_rent(i)+L0m_own(i)))^(-psi);
end
   
for k=1:500 % This solves for V_t and V_t+1 numerically.    

for i=1:Num_MSAs 
    V1m_rent(i)=(Am_rent(i)*W0m(i)*P0m_rent(i)^(-alpha))*V0m(i)^(beta*(1-eta))*V0^(beta*eta);
    V1m_own(i)=(Am_own(i)*W0m(i)*P0m_own(i)^(-alpha))*V0m(i)^(beta*(1-eta))*V0^(beta*eta);

    VH1m_rent(i)=(AHm_rent(i)*WH0m(i)*P0m_rent(i)^(-alpha))*VH0m(i)^(beta*(1-eta))*VH0^(beta*eta);
    VH1m_own(i)=(AHm_own(i)*WH0m(i)*P0m_own(i)^(-alpha))*VH0m(i)^(beta*(1-eta))*VH0^(beta*eta);

end

for i=1:Num_MSAs 
   V1m(i)=(V1m_rent(i)^(1/gamma)+V1m_own(i)^(1/gamma))^(gamma);
   VH1m(i)=(VH1m_rent(i)^(1/gamma)+VH1m_own(i)^(1/gamma))^(gamma);
end

V1=0;
VH1=0;

for i=1:Num_MSAs 
   V1=V1+(V1m(i))^(1/lambda);
   VH1=VH1+(VH1m(i))^(1/lambda);
end

V1=V1^(lambda);
VH1=VH1^(lambda);

V0m_rent=V1m_rent;
V0m_own=V1m_own;

VH0m_rent=VH1m_rent;
VH0m_own=VH1m_own;

V0m=V1m;
VH0m=VH1m;

V0=V1;
VH0=VH1;

end

end
