function [L0m_rent,L0m_own,H0m_rent, H0m_own,V0m_rent,VH0m_rent,V0m_own,VH0m_own,Pm_rent,Pm_own,Q0m, W0m,WH0m,V0] = evolve_noupdate(Am_rent, Am_own,AHm_rent, AHm_own,L0m_rent,L0m_own,H0m_rent,H0m_own,V0m,VH0m,V0m_rent,V0m_own,VH0m_rent,VH0m_own,Pm_rent,Pm_own,Bm,V0,VH0,Cm_rent,Cm_own, L,H,theta,Num_MSAs, lambda, gamma, eta, beta, alpha, epsilon)


for i=1:Num_MSAs 

    Q0m(i)=Bm(i)*((H0m_rent(i)+H0m_own(i))^(theta(i))*(L0m_rent(i)+L0m_own(i))^(1-theta(i)));
    W0m(i)=(1-theta(i))*Q0m(i)*(L0m_rent(i)+L0m_own(i))^(-1);
    WH0m(i)=(theta(i))*Q0m(i)*(H0m_rent(i)+H0m_own(i))^(-1);
    Pm_rent(i)=Cm_rent(i)*(L0m_rent(i)+H0m_rent(i))^(epsilon(i));
    Pm_own(i)=Cm_own(i)*(L0m_own(i)+H0m_own(i))^(epsilon(i));
end

for i=1:Num_MSAs
    L0m_rent(i)=eta*(V0m(i)/V0)^(1/lambda)*(V0m_rent(i)/V0m(i))^(1/gamma)*L+(1-eta)*L0m_rent(i);
    L0m_own(i)=eta*(V0m(i)/V0)^(1/lambda)*(V0m_own(i)/V0m(i))^(1/gamma)*L+(1-eta)*L0m_own(i);

    H0m_rent(i)=eta*(VH0m(i)/VH0)^(1/lambda)*(VH0m_rent(i)/VH0m(i))^(1/gamma)*H+(1-eta)*H0m_rent(i);
    H0m_own(i)=eta*(VH0m(i)/VH0)^(1/lambda)*(VH0m_own(i)/VH0m(i))^(1/gamma)*H+(1-eta)*H0m_own(i);

end

for i=1:Num_MSAs 
    V0m_rent(i)=(Am_rent(i)*W0m(i)*Pm_rent(i)^(-alpha)*V0^(eta*beta))^(1/(1-(1-eta)*beta));
    VH0m_rent(i)=(AHm_rent(i)*WH0m(i)*Pm_rent(i)^(-alpha)*VH0^(eta*beta))^(1/(1-(1-eta)*beta));

    V0m_own(i)=(Am_own(i)*W0m(i)*Pm_own(i)^(-alpha)*V0^(eta*beta))^(1/(1-(1-eta)*beta));
    VH0m_own(i)=(AHm_own(i)*WH0m(i)*Pm_own(i)^(-alpha)*VH0^(eta*beta))^(1/(1-(1-eta)*beta));
end

for i=1:Num_MSAs 
    V0m(i)=((V0m_rent(i))^(1/gamma)+(V0m_own(i))^(1/gamma))^(gamma);   
    VH0m(i)=((VH0m_rent(i))^(1/gamma)+(VH0m_own(i))^(1/gamma))^(gamma);   
end
V0=0;
VH0=0;

for i=1:Num_MSAs 
    V0=V0+V0m(i)^(1/lambda);
    VH0=VH0+VH0m(i)^(1/lambda);
end

V0=V0^(lambda);
VH0=VH0^(lambda);




end
